Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

All other Modules /

Discuss all other Modules here.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

Installing the Workflow Module


Go to End


3 Posts   1470 Views

Avatar
Fantastic Contraption

Community Member, 3 Posts

21 April 2010 at 1:20am

Hi all,

I'm having a problem installing the workflow module. I've managed to install a couple of other modules without any problems, but when I extract the Workflow module (v1.0RC3) into the root of my site and rebuild the database, I get the following error:

Warning:  Unknown class passed as parameter in C:\wamp\www\iq\sapphire\core\Object.php on line 445
Fatal error:  Uncaught exception 'ReflectionException' with message 'Class SiteConfig does not exist' in C:\wamp\www\iq\sapphire\core\Object.php:273
Stack trace:
#0 C:\wamp\www\iq\sapphire\core\Object.php(273): ReflectionClass->__construct('SiteConfig')
#1 C:\wamp\www\iq\sapphire\core\Object.php(420): Object::uninherited_static('SiteConfig', 'extensions')
#2 C:\wamp\www\iq\cmsworkflow-v1.0-rc3\_config.php(13): Object::add_extension('SiteConfig', 'SiteConfigTwoSt...')
#3 C:\Windows\Temp\silverstripe-cacheC--wamp-www-iq\manifest-main(6257): require_once('C:\wamp\www\iq\...')
#4 C:\wamp\www\iq\sapphire\core\ManifestBuilder.php(70): require_once('C:\Windows\Temp...')
#5 C:\wamp\www\iq\sapphire\core\Core.php(150): ManifestBuilder::include_manifest()
#6 C:\wamp\www\iq\sapphire\main.php(61): require_once('C:\wamp\www\iq\...')
#7 {main}
  thrown in C:\wamp\www\iq\sapphire\core\Object.php on line 273

I'm totally new to SilverStripe so I'm not too sure what's going on. I'm running SilverStripe 2.3.7. Am I missing some config option somewhere or something?

Avatar
logiczero

Community Member, 12 Posts

21 April 2010 at 9:53am

The Workflow Module is apparently only compatible with with SilverStripe 2.4, according to this post:
http://www.silverstripe.org/all-other-modules/show/277481

Looking at the Workflow Module page, it doesn't look like there was ever a version that was compatible with SilverStripe 2.3.

Avatar
Willr

Forum Moderator, 5523 Posts

24 April 2010 at 7:54pm

You are correct. Workflow is a new module and has only ever been released / developed for 2.4.